#ifndef QLABEL_FACTORY_H
#define QLABEL_FACTORY_H


#include <QLabel>


// Add PythonQt bindings
class QLabelFactory : public QObject
{
    Q_OBJECT

public slots:
    // Constructor and Destructor
    QLabel *new_QLabel() { return new QLabel(0, Qt::FramelessWindowHint); }
    QLabel *new_QLabel(QWidget *parent) { return new QLabel(parent); }
    void delete_QLabel(QLabel *o) { delete o; }

    // add access methods
    void setText(QLabel *o, QString t) { o->setText(t); }
    void setGeometry(QLabel *o, QRect r) { o->setGeometry(r); }
    void setPixmap(QLabel *o, QPixmap &pix) { o->setPixmap(pix); }
    void show(QLabel *o) { o->show(); }
};


#endif // QLABEL_FACTORY_H

